package cn.citycraft.Residence.commandsub;

import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.Residence.ResidenceMain;
import cn.citycraft.Residence.protection.ClaimedResidence;
import cn.citycraft.Residence.protection.ResidenceManager;

public class CommandDefault extends BaseCommand {
	ResidenceMain plugin;

	public CommandDefault(final ResidenceMain plugin) {
		super("default");
		this.plugin = plugin;
		setMinimumArguments(1);
		setOnlyPlayerExecutable();
		setPossibleArguments("<领地名称>");
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		final Player player = (Player) sender;
		final boolean resadmin = (command != null);
		final ResidenceManager rmanager = plugin.getResidenceManager();
		final ClaimedResidence res = rmanager.getByName(args[0]);
		res.getPermissions().applyDefaultFlags(player, resadmin);
	}

}
