package cn.citycraft.Residence.commandsub;

import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.Residence.ResidenceMain;
import cn.citycraft.Residence.permissions.PermissionManager;

public class CommandLimits extends BaseCommand {
	ResidenceMain plugin;

	public CommandLimits(final ResidenceMain plugin) {
		super("limits");
		this.plugin = plugin;
		setOnlyPlayerExecutable();
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		final Player player = (Player) sender;
		final PermissionManager gmanager = plugin.getPermissionManager();
		gmanager.getGroup(player).printLimits(player);
	}

}
