package cn.citycraft.Residence.commandsub;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.Residence.ResidenceMain;
import cn.citycraft.Residence.protection.ResidenceManager;
import cn.citycraft.Residence.text.Language;

public class CommandListAllHidden extends BaseCommand {
	ResidenceMain plugin;

	public CommandListAllHidden(final ResidenceMain plugin) {
		super("listallhidden");
		this.plugin = plugin;
		setOnlyPlayerExecutable();
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		final Player player = (Player) sender;
		final boolean resadmin = (command != null);
		final ResidenceManager rmanager = plugin.getResidenceManager();
		final Language language = plugin.getLanguage();

		int page = 1;
		try {
			if (args.length > 0) {
				page = Integer.parseInt(args[args.length - 1]);
			}
		} catch (final Exception ex) {
		}

		if (!resadmin) {
			player.sendMessage(ChatColor.RED + language.getPhrase("NoPermission"));
			return;
		}
		rmanager.listAllResidences(player, page, true);
	}

}
