package cn.citycraft.Residence.commandsub;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.Residence.ResidenceMain;
import cn.citycraft.Residence.protection.ResidenceManager;
import cn.citycraft.Residence.text.Language;

public class CommandRemoveAll extends BaseCommand {
	ResidenceMain plugin;

	public CommandRemoveAll(final ResidenceMain plugin) {
		super("removeall");
		this.plugin = plugin;
		setMinimumArguments(1);
		setOnlyPlayerExecutable();
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		final Player player = (Player) sender;
		final String pname = player.getName();
		final boolean resadmin = (command != null);
		final ResidenceManager rmanager = plugin.getResidenceManager();
		final Language language = plugin.getLanguage();
		if (resadmin || args[0].endsWith(pname)) {
			rmanager.removeAllByOwner(player, args[0]);
			player.sendMessage(ChatColor.GREEN + language.getPhrase("RemovePlayersResidences", ChatColor.YELLOW + args[1] + ChatColor.GREEN));
		} else {
			player.sendMessage(ChatColor.RED + language.getPhrase("NoPermission"));
		}
		return;
	}

}
