package cn.citycraft.Residence.commandsub;

import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.Residence.ResidenceMain;
import cn.citycraft.Residence.protection.ResidenceManager;

public class CommandRename extends BaseCommand {
	ResidenceMain plugin;

	public CommandRename(final ResidenceMain plugin) {
		super("rename");
		this.plugin = plugin;
		setMinimumArguments(2);
		setOnlyPlayerExecutable();
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		final Player player = (Player) sender;
		final boolean resadmin = (command != null);
		final ResidenceManager rmanager = plugin.getResidenceManager();

		rmanager.renameResidence(player, args[0], args[1], resadmin);
	}

}
