package cn.citycraft.Residence.commandsub;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.Residence.ResidenceMain;
import cn.citycraft.Residence.protection.ClaimedResidence;
import cn.citycraft.Residence.protection.ResidenceManager;
import cn.citycraft.Residence.text.Language;

public class CommandRenameArea extends BaseCommand {
	ResidenceMain plugin;

	public CommandRenameArea(final ResidenceMain plugin) {
		super("renamearea");
		this.plugin = plugin;
		setMinimumArguments(3);
		setOnlyPlayerExecutable();
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		final Player player = (Player) sender;
		final boolean resadmin = (command != null);
		final ResidenceManager rmanager = plugin.getResidenceManager();
		final Language language = plugin.getLanguage();

		final ClaimedResidence res = rmanager.getByName(args[0]);
		if (res == null) {
			player.sendMessage(ChatColor.RED + language.getPhrase("InvalidResidence"));
			return;
		}
		res.renameArea(player, args[1], args[2], resadmin);
	}

}
