package cn.citycraft.Residence.commandsub;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.Residence.ResidenceMain;
import cn.citycraft.Residence.protection.ClaimedResidence;
import cn.citycraft.Residence.protection.ResidenceManager;
import cn.citycraft.Residence.text.Language;

public class CommandTpSet extends BaseCommand {
	ResidenceMain plugin;

	public CommandTpSet(final ResidenceMain plugin) {
		super("tpset");
		this.plugin = plugin;
		setOnlyPlayerExecutable();
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		final Player player = (Player) sender;

		final boolean resadmin = (command != null);
		final ResidenceManager rmanager = plugin.getResidenceManager();
		final Language language = plugin.getLanguage();

		final ClaimedResidence res = rmanager.getByLoc(player.getLocation());
		if (res != null) {
			res.setTpLoc(player, resadmin);
		} else {
			player.sendMessage(ChatColor.RED + language.getPhrase("InvalidResidence"));
		}
	}

}
