package cn.citycraft.Residence.commandsub;

import org.bukkit.command.Command;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.PluginHelper.commands.BaseCommand;
import cn.citycraft.Residence.ResidenceMain;
import cn.citycraft.Residence.protection.FlagPermissions;

public class CommandCheckSelf extends BaseCommand {
	ResidenceMain plugin;

	public CommandCheckSelf(final ResidenceMain plugin) {
		super("checkself");
		this.plugin = plugin;
		setOnlyPlayerExecutable();
		setPossibleArguments("[权限]");
	}

	@Override
	public void execute(final CommandSender sender, final Command command, final String label, final String[] args) throws CommandException {
		final Player player = (Player) sender;
		final FlagPermissions perm = plugin.getPermsByLocForPlayer(player.getLocation(), player);
		switch (args.length) {
		case 0:
			player.sendMessage("§e权限列表: ");
			perm.printFlags(player);
			return;
		case 1:
			final String flag = args[0];
			player.sendMessage("§e权限检查: §a" + flag + " " + (perm.checkValidFlag(flag, false) ? "§atrue" : "§cfalse"));
			return;
		}
	}

}
