/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.bekvon.bukkit.residence.event;

import org.bukkit.entity.Player;
import org.bukkit.event.HandlerList;

import cn.citycraft.Residence.protection.ClaimedResidence;

/**
 *
 * @author Administrator
 */
public class ResidenceDeleteEvent extends CancellableResidencePlayerEvent {

    private static final HandlerList handlers = new HandlerList();

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }

    public static HandlerList getHandlerList() {
        return handlers;
    }

    public enum DeleteCause {
        LEASE_EXPIRE,PLAYER_DELETE,OTHER
    }
    
    DeleteCause cause;

    public ResidenceDeleteEvent(Player player, ClaimedResidence resref, DeleteCause delcause)
    {
        super("RESIDENCE_DELETE", resref, player);
        cause = delcause;
    }

    public DeleteCause getCause()
    {
        return cause;
    }

}
